package com.sf._01_treeset.demo;

import java.util.TreeSet;

public class Test1 {
    public static void main(String[] args) {
        /**
         *  1 创建一个Student  name age
         *  2 往treeset 存储 3 个student;
         *
         *  往treeSet 当中存储元素都必须要具备比较能力才能存储到树结构中
         *  怎么让元素具备比较能力
         */
        TreeSet<Student> treeSet = new TreeSet<>();
        treeSet.add(new Student("zhangsan",10));
        treeSet.add(new Student("lisi",40));
        treeSet.add(new Student("wangwu",30));
        System.out.println(treeSet);
    }
}
